Package javassist.compiler.ast

# Class StringL

java.lang.Object
javassist.compiler.ast.ASTree
javassist.compiler.ast.StringL

All Implemented Interfaces:
  `Serializable`

public class StringL extends ASTree
String literal.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StringL(String t)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(Visitor v)`
Is a method for the visitor pattern.
`String`
`get()`
`String`
`toString()`

### Methods inherited from class javassist.compiler.ast.ASTree

`getLeft, getRight, setLeft, setRight`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StringL

public StringL(String t)

## Method Details

### get

public String get()

### toString

public String toString()

Overrides:
  `toString` in class `ASTree`

### accept

public void accept(Visitor v) throws javassist.compiler.CompileError
Description copied from class: `ASTree`
Is a method for the visitor pattern. It calls `atXXX()` on the given visitor, where `XXX` is the class name of the node object.

Specified by:
  `accept` in class `ASTree`
Throws:
  `javassist.compiler.CompileError`